wake-up-neo.net

Xcode 10 GM mehrere Befehle erzeugen ... Pods-Probleme

Ich habe einfach auf xcode 10 Golden Master umgestellt und bekomme den Fehler mit einem meiner Pods, FDTake . Versuchte dies Thread, aber ich habe keine Plist in meinen Buildphasen, also hat es nicht funktioniert. Ist diese Ausgabepod verwandt?

Showing All Messages
:-1: Multiple commands produce '***/Xcode/DerivedData/app-fgyqhwrvkbjquheilgwhyjltujtz/Build/Products/Dev-iphonesimulator/FDTake/FDTake.framework/Info.plist':
1) Target 'FDTake' (project 'Pods') has copy command from '***/GoogleDrive/dev/_ios/Work/sutulp/Pods/FDTake/Source/Info.plist' to '***Xcode/DerivedData/app-fgyqhwrvkbjquheilgwhyjltujtz/Build/Products/Dev-iphonesimulator/FDTake/FDTake.framework/Info.plist'
2) Target 'FDTake' (project 'Pods') has process command with output '***Xcode/DerivedData/app-fgyqhwrvkbjquheilgwhyjltujtz/Build/Products/Dev-iphonesimulator/FDTake/FDTake.framework/Info.plist'

Ich habe auch versucht, den abgeleiteten Datenordner zu entfernen, aber er funktionierte auch nicht. Versuchte das Projekt zu reinigen und so weiter - kein Glück. Jeder Rat wird geschätzt.

Der Wechsel zu einem alten Build-System ist keine Lösung.

2
Max Kraev

Dies sieht dieser Frage sehr ähnlich: Xcode 10 Fehler: Mehrere Befehle erzeugen

Hier ist ein Link zur am meisten bewerteten Antwort https://stackoverflow.com/a/50719379

Wenn dies nicht funktioniert, haben Sie möglicherweise einen Pod-Abhängigkeitszyklus für diesen Pod. 

In meinem Fall gab es ein solches Problem. 

In meinem Pod-Projekt hatte die Zielsperre eine Zielabhängigkeit zum Lock-Auth0-Framework. Daher musste ich die Zeile für "Lock-Auth0" für das Sperrziel entfernen, indem Sie zu Build Settings > Target Dependencies > & Copy Bundle Resources gehen (dies wird rückgängig gemacht, wenn Sie pod install erneut ausführen).

Ich habe mir die Lock.podspec angesehen und festgestellt, dass die Abhängigkeit von der neuesten Version entfernt wurde. Ein Upgrade auf die neueste Version des Pods ist also mein nächster Schritt.

Hoffe das hilft.

hier ist ein Screenshot meines Fehlers

0
Carlos S

Ich hatte das gleiche Problem mit Xcode 10 GM. In meinem Fall wurden Cocoapods nicht gefunden. Also muss es neu installiert werden.

  • Um festzustellen, ob Cocoapods installiert ist oder nicht, führen Sie den Befehl auf dem Terminal aus. pod --version
  • wenn das Ergebnis Not Found ist, sind die Pods nicht installiert. Führen Sie den Befehl auf dem Terminal aus $ Sudo gem install cocoapods --source http://rubygems.org

Hoffe es hilft dir ...

1
Pratik Sodha